## org.eclipse.emf.edit.provider
Interface ITreeItemContentProvider

All Superinterfaces:
  IStructuredItemContentProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, AttributeValueWrapperItemProvider, ChangeDescriptionItemProvider, ComplexTypeConverterItemProvider, DelegatingWrapperItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreMappingRootItemProvider, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FeatureMapEntryWrapperItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenOperationItemProvider, GenPackageItemProvider, ItemPropertyDescriptor.ItemDelegator, ItemProvider, ListChangeItemProvider, MappedObjectItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceItemProvider, ResourceSetItemProvider, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface ITreeItemContentProvider

extends IStructuredItemContentProvider

This is the interface needed to populate subtrees in a TreeViewer.

Method Summary
`java.util.Collection<?>` `getChildren(java.lang.Object object)` This does the same thing as ITreeContentProvider.getChildren.
`java.lang.Object` `getParent(java.lang.Object object)` This does the same thing as ITreeContentProvider.getParent.
`boolean` `hasChildren(java.lang.Object object)` This does the same thing as ITreeContentProvider.hasChildren.

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Method Detail

### getChildren

    java.util.Collection<?> getChildren(java.lang.Object object)

  This does the same thing as ITreeContentProvider.getChildren.

### hasChildren

    boolean hasChildren(java.lang.Object object)

  This does the same thing as ITreeContentProvider.hasChildren.

### getParent

    java.lang.Object getParent(java.lang.Object object)

  This does the same thing as ITreeContentProvider.getParent.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.